import type { HTMLAttributes } from "react";
export declare const SearchUserPickerContainer: import("@emotion/styled").StyledComponent<import("../../../ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchUserItemContainer: import("@emotion/styled").StyledComponent<import("../../../ui").GroupProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const UserPickerInput: import("@emotion/styled").StyledComponent<import("../../../ui").TextInputProps & import("react").RefAttributes<HTMLInputElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchUserPickerContent: import("@emotion/styled").StyledComponent<import("../../../ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchUserSelectBox: import("@emotion/styled").StyledComponent<import("../../../ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SelectedUserButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("../../../ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
